package net.sf.jasperreports.engine;

public interface JRFont extends JRStyleContainer {
  public static final String DEFAULT_FONT_NAME = "net.sf.jasperreports.default.font.name";
  
  public static final String DEFAULT_FONT_SIZE = "net.sf.jasperreports.default.font.size";
  
  public static final String DEFAULT_PDF_FONT_NAME = "net.sf.jasperreports.default.pdf.font.name";
  
  public static final String DEFAULT_PDF_ENCODING = "net.sf.jasperreports.default.pdf.encoding";
  
  public static final String DEFAULT_PDF_EMBEDDED = "net.sf.jasperreports.default.pdf.embedded";
  
  JRReportFont getReportFont();
  
  void setReportFont(JRReportFont paramJRReportFont);
  
  String getFontName();
  
  String getOwnFontName();
  
  void setFontName(String paramString);
  
  boolean isBold();
  
  Boolean isOwnBold();
  
  void setBold(boolean paramBoolean);
  
  void setBold(Boolean paramBoolean);
  
  boolean isItalic();
  
  Boolean isOwnItalic();
  
  void setItalic(boolean paramBoolean);
  
  void setItalic(Boolean paramBoolean);
  
  boolean isUnderline();
  
  Boolean isOwnUnderline();
  
  void setUnderline(boolean paramBoolean);
  
  void setUnderline(Boolean paramBoolean);
  
  boolean isStrikeThrough();
  
  Boolean isOwnStrikeThrough();
  
  void setStrikeThrough(boolean paramBoolean);
  
  void setStrikeThrough(Boolean paramBoolean);
  
  int getSize();
  
  Integer getOwnSize();
  
  void setSize(int paramInt);
  
  void setSize(Integer paramInteger);
  
  int getFontSize();
  
  Integer getOwnFontSize();
  
  void setFontSize(int paramInt);
  
  void setFontSize(Integer paramInteger);
  
  String getPdfFontName();
  
  String getOwnPdfFontName();
  
  void setPdfFontName(String paramString);
  
  String getPdfEncoding();
  
  String getOwnPdfEncoding();
  
  void setPdfEncoding(String paramString);
  
  boolean isPdfEmbedded();
  
  Boolean isOwnPdfEmbedded();
  
  void setPdfEmbedded(boolean paramBoolean);
  
  void setPdfEmbedded(Boolean paramBoolean);
}
